# Uses of Enum
org.xnio.sasl.SaslQop

Packages that use SaslQop
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.sasl
Utility classes for using SASL mechanisms atop NIO or XNIO APIs.

## Uses of SaslQop in org.xnio

Fields in org.xnio with type parameters of type SaslQop
Modifier and Type
Field
Description
`static final Option<Sequence<SaslQop>>`
Options.`SASL_QOP`
Specify the SASL quality-of-protection to use.

## Uses of SaslQop in org.xnio.sasl

Methods in org.xnio.sasl that return SaslQop
Modifier and Type
Method
Description
`static SaslQop`
SaslQop.`fromString(String name)`
Get the SASL QOP level for the given string.
`static SaslQop`
SaslQop.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslQop[]`
SaslQop.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.